
%global meadversion 0.8.9
%global namedversion 0.8.9.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package apache-mime4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 0.8.9.redhat-00001

Name:           %{?scl_prefix}apache-mime4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache JAMES Mime4j
Group:          Development/Java

%if %with mead
Source100: apache-mime4j-project-0.8.9.redhat-00001-project-sources.tar.gz
Source102: apache-mime4j-project-0.8.9.redhat-00001.pom
Source103: apache-mime4j-project-0.8.9.redhat-00001-site.xml
Source104: apache-mime4j-examples-0.8.9.redhat-00001-sources.jar
Source105: apache-mime4j-core-0.8.9.redhat-00001.pom
Source106: apache-mime4j-dom-0.8.9.redhat-00001.pom
Source107: apache-mime4j-dom-0.8.9.redhat-00001-sources.jar
Source108: apache-mime4j-benchmark-0.8.9.redhat-00001-javadoc.jar
Source109: apache-mime4j-storage-0.8.9.redhat-00001.pom
Source110: apache-mime4j-dom-0.8.9.redhat-00001.jar
Source111: apache-mime4j-mbox-iterator-0.8.9.redhat-00001-sources.jar
Source112: apache-mime4j-james-utils-0.8.9.redhat-00001.jar
Source113: apache-mime4j-examples-0.8.9.redhat-00001.pom
Source114: apache-mime4j-storage-0.8.9.redhat-00001.jar
Source115: apache-mime4j-james-utils-0.8.9.redhat-00001-sources.jar
Source116: apache-mime4j-core-0.8.9.redhat-00001.jar
Source117: apache-mime4j-storage-0.8.9.redhat-00001-javadoc.jar
Source118: apache-mime4j-examples-0.8.9.redhat-00001.jar
Source119: apache-mime4j-core-0.8.9.redhat-00001-tests.jar
Source120: apache-mime4j-mbox-iterator-0.8.9.redhat-00001.pom
Source121: apache-mime4j-dom-0.8.9.redhat-00001-javadoc.jar
Source122: apache-mime4j-benchmark-0.8.9.redhat-00001-sources.jar
Source123: apache-mime4j-benchmark-0.8.9.redhat-00001.jar
Source124: apache-mime4j-mbox-iterator-0.8.9.redhat-00001.jar
Source125: apache-mime4j-storage-0.8.9.redhat-00001-tests.jar
Source126: apache-mime4j-benchmark-0.8.9.redhat-00001.pom
Source127: apache-mime4j-examples-0.8.9.redhat-00001-javadoc.jar
Source128: apache-mime4j-storage-0.8.9.redhat-00001-sources.jar
Source129: apache-mime4j-james-utils-0.8.9.redhat-00001.pom
Source130: apache-mime4j-core-0.8.9.redhat-00001-javadoc.jar
Source131: apache-mime4j-0.8.9.redhat-00001.pom
Source132: apache-mime4j-0.8.9.redhat-00001-bin.tar.gz
Source133: apache-mime4j-mbox-iterator-0.8.9.redhat-00001-javadoc.jar
Source134: apache-mime4j-core-0.8.9.redhat-00001-sources.jar
Source135: apache-mime4j-0.8.9.redhat-00001-bin.zip
Source136: apache-mime4j-james-utils-0.8.9.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://james.apache.org/mime4j
%if 0
Requires:       %{?scl_prefix_eap}commons-logging >= 0:1.1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/apache-mime4j-%{namedversion}-%{release}-root

%description
Java stream based MIME message parser.

%if %with javadoc
%package javadoc
Summary:        Javadoc for apache-mime4j
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n apache-mime4j-project-%{namedversion}  -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/apache-mime4j-core-%{namedversion}.jar %{buildroot}%{_javadir}/apache-mime4j-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/apache-mime4j-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/apache-mime4j-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/apache-mime4j-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/apache-mime4j-core-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/apache-mime4j-dom-%{namedversion}.jar %{buildroot}%{_javadir}/apache-mime4j-dom-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/apache-mime4j-dom-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/apache-mime4j-dom-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/apache-mime4j-dom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/apache-mime4j-dom-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/apache-mime4j-storage-%{namedversion}.jar %{buildroot}%{_javadir}/apache-mime4j-storage-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/apache-mime4j-storage-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/apache-mime4j-storage-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/apache-mime4j-storage-%{namedversion}-sources.jar %{buildroot}%{_javadir}/apache-mime4j-storage-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)


%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/apache-mime4j-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/apache-mime4j-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/apache-mime4j-core-%{namedversion} -x META-INF/\*
%{__ln_s} apache-mime4j-core-%{namedversion} %{buildroot}%{_javadocdir}/apache-mime4j-core
%endif

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/apache-mime4j-dom-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/apache-mime4j-dom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/apache-mime4j-dom-%{namedversion} -x META-INF/\*
%{__ln_s} apache-mime4j-dom-%{namedversion} %{buildroot}%{_javadocdir}/apache-mime4j-dom
%endif

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/apache-mime4j-storage-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/apache-mime4j-storage-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/apache-mime4j-storage-%{namedversion} -x META-INF/\*
%{__ln_s} apache-mime4j-storage-%{namedversion} %{buildroot}%{_javadocdir}/apache-mime4j-storage
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILDING.txt LICENSE NOTICE
%{_javadir}/apache-mime4j-core-%{namedversion}.jar
%{_javadir}/apache-mime4j-core.jar
%{_javadir}/apache-mime4j-dom-%{namedversion}.jar
%{_javadir}/apache-mime4j-dom.jar
%{_javadir}/apache-mime4j-storage-%{namedversion}.jar
%{_javadir}/apache-mime4j-storage.jar
%if %with javadoc
%{_javadir}/apache-mime4j-core-%{namedversion}-javadoc.jar
%{_javadir}/apache-mime4j-core-javadoc.jar
%{_javadir}/apache-mime4j-dom-%{namedversion}-javadoc.jar
%{_javadir}/apache-mime4j-dom-javadoc.jar
%{_javadir}/apache-mime4j-storage-%{namedversion}-javadoc.jar
%{_javadir}/apache-mime4j-storage-javadoc.jar
%endif
%{_javadir}/apache-mime4j-core-%{namedversion}-sources.jar
%{_javadir}/apache-mime4j-core-sources.jar
%{_javadir}/apache-mime4j-dom-%{namedversion}-sources.jar
%{_javadir}/apache-mime4j-dom-sources.jar
%{_javadir}/apache-mime4j-storage-%{namedversion}-sources.jar
%{_javadir}/apache-mime4j-storage-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/apache-mime4j-%{namedversion}
%{_javadocdir}/apache-mime4j
%endif

%changelog
* Thu Feb 23 2023 Harsha Cherukuri <hcheruku@redhat.com> - 0.8.9-1.redhat_00001.1
- Building new wrapper

* Wed Feb 22 2023 Harsha Cherukuri <hcheruku@redhat.com> - 0.8.9-1.redhat_00001.1
- Building new wrapper

* Wed Feb 22 2023 cpaas-ops <cpaas-ops@redhat.com> - 0.6.0-5.redhat_7.1
- Built by CPaaS

* Fri Jul 13 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 0.6.0-4.redhat_7.1
- upgrade to 0.6.0.redhat-7

* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 0.6.0-3.redhat_6.1
- Rewrap for 7.2.0

* Thu May 18 2017 Petr Sakar <psakar@redhat.com> - 0.6.0-2.redhat_6.1
- upgrade to 0.6.0.redhat-6

* Mon Apr 13 2015 David Walluck <dwalluck@redhat.com> - 0.6.0-1.redhat_5.1
- release
